summaryrefslogtreecommitdiffstats
path: root/desktop/subtle
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2011-07-09 16:17:25 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 21:54:03 -0300
commitedb063d57495e480c0ae2120d6cf65c67d515ce6 (patch)
tree4e92a0960514fb5ab958a2e6f713962aebd8588a /desktop/subtle
parente0f1aa4a109dfaa680f5b82ae313f0059919d568 (diff)
downloadslackbuilds-edb063d57495e480c0ae2120d6cf65c67d515ce6.tar.gz
slackbuilds-edb063d57495e480c0ae2120d6cf65c67d515ce6.tar.xz
desktop/subtle: Added (ruby based tiling WM)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop/subtle')
-rw-r--r--desktop/subtle/README9
-rw-r--r--desktop/subtle/doinst.sh15
-rw-r--r--desktop/subtle/slack-desc19
-rw-r--r--desktop/subtle/subtle.SlackBuild85
-rw-r--r--desktop/subtle/subtle.desktop6
-rw-r--r--desktop/subtle/subtle.info10
-rw-r--r--desktop/subtle/xinitrc.subtle16
7 files changed, 160 insertions, 0 deletions
diff --git a/desktop/subtle/README b/desktop/subtle/README
new file mode 100644
index 0000000000..d1bb93dbe6
--- /dev/null
+++ b/desktop/subtle/README
@@ -0,0 +1,9 @@
+subtle (ruby based tiling WM)
+
+A grid-based manual tiling window manager with a strong focus on easy
+but customizable look and feel Subtle has a rather uncommon approach of
+tiling: Per default there is no typical layout enforcement, windows are
+placed on a position (gravity) in a custom grid. The user can change the
+gravity of each window either directly per grabs or with rules defined
+by tags in the config.
+
diff --git a/desktop/subtle/doinst.sh b/desktop/subtle/doinst.sh
new file mode 100644
index 0000000000..f1c242daed
--- /dev/null
+++ b/desktop/subtle/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/xdg/subtle/subtle.rb.new
+
diff --git a/desktop/subtle/slack-desc b/desktop/subtle/slack-desc
new file mode 100644
index 0000000000..582b0be823
--- /dev/null
+++ b/desktop/subtle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+subtle: subtle (ruby based tiling WM)
+subtle:
+subtle: A grid-based manual tiling window manager with a strong focus on
+subtle: easy but customizable look and feel.
+subtle:
+subtle: Homepage: http://subforge.org/projects/subtle
+subtle:
+subtle:
+subtle:
+subtle:
+subtle:
diff --git a/desktop/subtle/subtle.SlackBuild b/desktop/subtle/subtle.SlackBuild
new file mode 100644
index 0000000000..e5df5285ad
--- /dev/null
+++ b/desktop/subtle/subtle.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for subtle
+
+# Copyright 2011 Vincent Batts, vbatts@hashbangbash.com, http://hashbangbash.com/
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=subtle
+VERSION=${VERSION:-0.9.2773_mu}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVERSION=$(echo $VERSION | tr '_' '-')
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tbz2
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+rake install manprefix=/usr/man destdir=$PKG
+
+mv $PKG/etc/xdg/subtle/subtle.rb{,.new}
+
+install -D -m0755 -oroot $CWD/xinitrc.subtle $PKG/etc/X11/xinit/xinitrc.subtle
+install -D -m0644 -oroot $CWD/subtle.desktop $PKG/usr/share/xsessions/subtle.desktop
+install -D -m0644 -oroot $CWD/subtle.desktop $PKG/usr/share/apps/kdm/sessions/subtle.desktop
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/subtle/subtle.desktop b/desktop/subtle/subtle.desktop
new file mode 100644
index 0000000000..94cdd5cb13
--- /dev/null
+++ b/desktop/subtle/subtle.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=subtle
+Comment=grid-based tiling window manager
+Exec=/usr/bin/subtle
+Type=XSession
diff --git a/desktop/subtle/subtle.info b/desktop/subtle/subtle.info
new file mode 100644
index 0000000000..da9a920f83
--- /dev/null
+++ b/desktop/subtle/subtle.info
@@ -0,0 +1,10 @@
+PRGNAM="subtle"
+VERSION="subtle-0.9.2773_mu"
+HOMEPAGE="http://subforge.org/projects/subtle"
+DOWNLOAD="http://subforge.org/attachments/download/50/subtle-0.9.2773-mu.tbz2"
+MD5SUM="bbae53d6c16cfe25186003e9e28504f8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/desktop/subtle/xinitrc.subtle b/desktop/subtle/xinitrc.subtle
new file mode 100644
index 0000000000..f754e34c03
--- /dev/null
+++ b/desktop/subtle/xinitrc.subtle
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+[ -f $sysresources ] && xrdb -merge $sysresources
+[ -f $sysmodmap ] && xmodmap $sysmodmap
+[ -f $userresources ] && xrdb -merge $userresources
+[ -f $usermodmap ] && xmodmap $usermodmap
+
+exec subtle
+